@import 'variaveis.less';

@color_1: #333;
@font_family_1: 'Glyphicons Halflings';
@background_color_1: #fff;
@border_color_1: #e4e5e7;

.mapa {

	@media (max-width: 991px) and (min-width: 768px){
		.sidebar-pane {
			min-width: 300px;
		}
	}

	@media (min-width: 1200px) {

		.sidebar {
			max-width: 340px;
		}

		.sidebar-pane {
			min-width: 300px;
		}

	}

	.sidebar-pane {
		padding-left: 0px;
		padding-right: 0px;
	}

	.p-margin-top {
		margin-top: 17px;
	}

	.sidebar {
		border-radius: 0px;
		box-shadow: none;
		border: none;
		background-color: transparent;
	}

	.sidebar-right {
		z-index: 1000;

		bottom: 0;
	}

	.sidebar-label {
		font-weight: bold;
		font-size: 14px;
		color: @primaria;
		padding-left: 12px;
	}

	.sidebar-content {
		background-color: @branco;
		height: 370px;

		.sidebar-section {
			background-color: @branco;
			border-bottom: 1px solid @border-mapa;
			padding: 5px 5px 5px 10px;
			color: @primaria;
			font-size: 13pt;
			margin: 5px 0 5px 0;
		}

		.panel-default {
			>.panel-heading {
				color: @color_1;
				background-color: @background_color_1;
				border-color: @border_color_1;
				padding: 0;
				-webkit-user-select: none;
				-moz-user-select: none;
				-ms-user-select: none;
				user-select: none;
				a {
					display: block;
					padding: 10px 15px;
					text-decoration: none;
					&:after {
						content: "";
						position: relative;
						top: 1px;
						display: inline-block;
						font-family: @font_family_1;
						font-style: normal;
						font-weight: 400;
						line-height: 1;
						-webkit-font-smoothing: antialiased;
						-moz-osx-font-smoothing: grayscale;
						float: right;
						transition: transform .25s linear;
						-webkit-transition: -webkit-transform .25s linear;
					}
				}
				a[aria-expanded] {
					&:after {
						content: "\e114";
					}
				}

				a[aria-expanded="true"] {
					&:after {
						content: "\e113";
					}
				}
				a[aria-expanded="false"] {
					&:after {
						content: "\e114";
					}
				}
			}
		}

		ul {
			margin: 0;
			padding: 0;
			list-style: none;
		}
		.nav {
			li {
				border-bottom: 1px solid #eee;
				a {
					font-size: 14px;
				}
			}
		}
		#accordionMenu {
			max-width: 300px;
		}
		.panel-body {
			padding: 0;
		}
		.panel-group {
			.panel&+.panel {
				margin-top: 0;
				border-top: 0;
			}
			.panel {
				border-radius: 0;
			}

			margin-bottom: 0px;
		}

	}

	.sidebar-right.collapsed .sidebar-content {
		right: 40px;
		transition: 0.5s;
	}

	.sidebar-right .sidebar-content {
		right: 0;
		transition: 0.5s;
		margin-right: 35px;
		margin-bottom: 15px;
	}

	.sidebar.leaflet-touch {
		border-right: none;
	}

	.sidebar-tabs {

		background-color: transparent;
		top: 0px;

		a {
			color: @preto;
			background-color: @branco;
			line-height: 30px;
			width: 30px;
			height: 30px;
			border-radius: 3px;


			.img-responsive {
				max-width: 70%;
				max-height: 70%;
				display: inline;
			}

		}

		a:focus ,  a:active {
			border-radius: 3px;
			border-color: transparent;
			i {
				margin-right: 3px;
			}
		}

		.icon-lar span {
			font-size:12px !important;
			font-weight: bold;
		}

	}

	.sidebar-tabs > li, .sidebar-tabs > ul > li {
		overflow: inherit !important;

	}

	.sidebar-tabs, .sidebar-tabs > ul {
		position: absolute;
		width: 30px;
		margin: 0;
		padding: 0;

		> li {
			margin-bottom: 10px;
			height: 30px;

			.icon-button {
				font-size: 1.2em;
				padding-top: 0;
			}

			.icon-legenda {
				font-size: 0.7em;
				padding: 4px 8px 0px 0px;
			}

		}

		> li:hover, li:focus {
			border-radius: 3px;
		}
	}

	.sidebar-header {
		background-color: @branco;
		color: @primaria;
		font-size: 13pt;
		border-bottom: 1px solid @border-mapa;
		margin: -10px 0px 0px 0px;
	}

	.sidebar-body {
		margin-left: 10px;
	}

	#lista-layers {

		width: 100%;

		li {
			a.jstree-anchor {

				white-space: nowrap;
				overflow: hidden;
				text-overflow: ellipsis;
				width: 90%;
			}

			.jstree-icon.fa.fa-folder, .jstree-icon.fa.fa-folder-open {
				color: darkgoldenrod;
			}
		}
	}

	.icon-legenda {
		font-size: 0.7em;
		padding: 4px 8px 0px 0px;
	}

}

.sidebar-tabs > ul > li.disabled > a {
	color: @cinza;
}

#camadas, #sobreposicoes {

	.camadas-mapa {

		margin-top: 3px;
		margin-bottom: 3px;
		padding-top: 0px;
		padding-bottom: 3px;

		.descricao {
			padding:4px 5px 0 15px;
		}

	}

	.btn-exibe-camada {

		padding: 3px 6px 3px 6px;
		background-color: @branco;

	}

	.fa-eye:before {
		padding-top: 10px;
	}
}

#sobreposicoes {

	.imagem-legenda {
		padding-left: 13px;
		padding-top: 5px;
		margin-left: -6px;

		.bacia_formoso_prata {
			width: 7px;
			height: 7px;
			background-color: #37a6a6;
			border: 2px solid #0c4f4f;
		}

		.bacia_paraguaia {
			width: 7px;
			height: 7px;
			background-color: #02a6b5;
			border: 2px solid #00707a;
		}

		.bacia_parana {
			width: 7px;
			height: 7px;
			background-color: #1fa5d1;
			border: 2px solid #0b6a8a;
		}

		.influencia_uc {
			width: 7px;
			height: 7px;
			background-color: #ffc233;
		}

		.ucs_ms {
			width: 7px;
			height: 7px;
			background-color: #FF8601;
		}

		.uso_restrito_pantanal {
			width: 7px;
			height: 7px;
			background-color: #11aa00;
			border: 2px solid #333333;
		}

		.areas_prioritarias_ma {
			width: 7px;
			height: 7px;
			background-color: #fcb603;
		}

		.mata_atlantica {
			width: 7px;
			height: 7px;
			background-color: #074500;
			border: 2px solid #031f00;
		}

		.biomas {
			width: 7px;
			height: 7px;
			background-color: #adadad;
			border: 2px solid #000000;
		}

		.corredor_ecologico {
			width: 7px;
			height: 7px;
			background-color: #0ac40073;
			border: 2px solid #de000062;
		}

		.entorno_taquari {
			width: 7px;
			height: 7px;
			background-color: #006b56;
			//border: 2px solid #333333;
		}

		.geologia_2006 {
			width: 7px;
			height: 7px;
			background-color: #42006b5e;
			border: 2px solid #9a72b338;
		}

		.grade_cbers {
			width: 7px;
			height: 7px;
			background-color: #AAAAAA00;
			border: 2px solid #888888;
		}

		.macrozoneamento {
			width: 7px;
			height: 7px;
			background-color: #ffe8adc5;
			border: 2px solid #9c680046;
		}

		.macrozoneamento_solos {
			width: 7px;
			height: 7px;
			background-color: #b5610049;
			border: 2px solid #17110073;
		}

		.macrozoneamento_amostra {
			width: 7px;
			height: 7px;
			border-radius: 50%;
			background-color: #FF0000;
			//border: 2px solid #333333;
		}

		.rio_dominio_ana {
			width: 7px;
			height: 7px;
			//background-color: #11aa00;
			border: 2px solid #180675;
		}

		.sitios_arqueologicos {
			width: 7px;
			height: 7px;
			border-radius: 50%;
			background-color: #bf5906;
			//border: 2px solid #333333;
		}

		.ti_estudo {
			// triangle
			width: 0;
			height: 0;
			border-left: 4px solid transparent;
			border-right: 4px solid transparent;
			border-bottom: 8px solid #ff5500;
		}

		.terra_indigena {
			width: 7px;
			height: 7px;
			background-color: #11aa0000;
			border: 2px solid #4d0000;
		}

		.unidade_planejamento_gerenciamento {
			width: 7px;
			height: 7px;
			background-color: #cc3d0059;
			border: 2px solid #733d008a;
		}

		.unidade_hidrogeologica {
			width: 7px;
			height: 7px;
			background-color: #94dbff7c;
			border: 2px solid #6da6c26b;
		}

		.zee_ms {
			width: 7px;
			height: 7px;
			background-color: #6dc28b;
			border: 2px solid #328a519f;
		}

		.zaa {
			width: 7px;
			height: 7px;
			background-color: #1a8a2c88;
			border: 2px solid #00000036;
		}

		.zaa_2km {
			width: 7px;
			height: 7px;
			background-color: #48c71c88;
			border: 2px solid #00000036;
		}

		.zaa_3km {
			width: 7px;
			height: 7px;
			background-color: #9eff0088;
			border: 2px solid #00000036;
		}

	}
	.descricao-legenda {
		padding: 0px;
	}
}